package com.xunmei.common.core.enums.edu;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 教育培训类型
 */

@Getter
@AllArgsConstructor
public enum EduTrainingType {


    AQFFXXJY(0, "安全防范学习教育"),
    ZBXZHD(1, "治保小组活动");


    /**
     * 所有枚举
     */
    private static final Map<Integer, EduTrainingType> enumMap = new LinkedHashMap<>();

    static {
        for (EduTrainingType enumNode : EduTrainingType.values()) {
            enumMap.put(enumNode.code, enumNode);
        }
    }

    private final Integer code;
    private final String name;

    /**
     * 根据code获取name
     */
    public static String getName(Integer code) {
        EduTrainingType e = enumMap.get(code);
        return e != null ? e.getName() : "";
    }

}
